Permalink
Browse files

Better dev environment

  • Loading branch information...
1 parent a8d7fe6 commit 257b4b5aca3bb412b57dc5c5b946587cb09ab570 @tmm1 committed Oct 28, 2010
Showing with 39 additions and 1 deletion.
  1. +2 −0 Gemfile
  2. +32 −0 Gemfile.lock
  3. +4 −0 http_parser.rb.gemspec
  4. +0 −1 spec/spec_helper.rb
  5. +1 −0 tasks/compile.rake
View
@@ -0,0 +1,2 @@
+source :rubygems
+gemspec
View
@@ -0,0 +1,32 @@
+PATH
+ remote: .
+ specs:
+ http_parser.rb (0.5.0)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ diff-lcs (1.1.2)
+ json (1.4.6)
+ rake (0.8.7)
+ rake-compiler (0.7.0)
+ rake (>= 0.8.3, < 0.9)
+ rspec (2.0.1)
+ rspec-core (~> 2.0.1)
+ rspec-expectations (~> 2.0.1)
+ rspec-mocks (~> 2.0.1)
+ rspec-core (2.0.1)
+ rspec-expectations (2.0.1)
+ diff-lcs (>= 1.1.2)
+ rspec-mocks (2.0.1)
+ rspec-core (~> 2.0.1)
+ rspec-expectations (~> 2.0.1)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ http_parser.rb!
+ json (>= 1.4.6)
+ rake-compiler (>= 0.7.0)
+ rspec (>= 2.0.1)
View
@@ -12,4 +12,8 @@ Gem::Specification.new do |s|
s.require_paths = ["lib"]
s.extensions = ["ext/ruby_http_parser/extconf.rb"]
+
+ s.add_development_dependency 'rake-compiler', '>= 0.7.0'
+ s.add_development_dependency 'rspec', '>= 2.0.1'
+ s.add_development_dependency 'json', '>= 1.4.6'
end
View
@@ -1,2 +1 @@
-require "rubygems"
require "http_parser"
View
@@ -32,6 +32,7 @@ RUBY_VERSION =~ /(\\d+.\\d+)/
require "\#{$1}/ruby_http_parser"
eoruby
end
+ at_exit{ FileUtils.rm t.name if File.exists?(t.name) }
end
if Rake::Task.task_defined?(:cross)

0 comments on commit 257b4b5

Please sign in to comment.